### execution_context::service_maker

Base class for all execution context service makers.

    class service_maker :
      noncopyable

##### Member Functions

Name | Description
--- | ---
make | Make services to be added to the execution context.

##### Protected Member Functions

Name | Description
--- | ---
~service_maker [destructor] | Destructor.

A service maker is called by the execution context to create services that need to be installed into the execution context at construction time.

##### Requirements

Header: `asio/execution_context.hpp`

Convenience header: `asio/execution.hpp`